Subject: Scheduler Task aborts if LDAP returns entry without dn
Description
The scheduler task does two things:
    1. Get all entries by predefined settings
    2. Get details for each entry by dn

This may be such a result for step 1:
2014-07-01_1654.png

But as you see, somehow I get entries back, which has no dn. So the second step, which fetches the details by dn, fails.

The fix is very simple (I've attached a patch, and will push it to Gerrit as well), but now the scheduler task does not interrupt anymore.

Related issues:
related to LDAP / SSO Authentication - Bug # 60080: Charset config uses depre... Closed 2014-07-03

Associated revisions
Revision c52d63b9 - 2014-07-04 09:41 - Armin Ruediger Vieweg

[BUGFIX] Scheduler task aborts if LDAP returns entry without DN

Sometimes it happens that LDAP returns records with empty DN,
but this DN is required to synchronize record details from LDAP
to TYPO3.

This fix just checks if the requested record details are a valid
array, and skips this whole entry, if not.

Resolves: #60041
Change-Id: I2dc36374e8a82f174ac63907aaccc25789c0a324
Reviewed-on: https://review.typo3.org/31266
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2014-07-01 17:08 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project TYPO3CMS/Extensions/igLdapSsoAuth has been pushed to the review server.
It is available at https://review.typo3.org/31266

#2 - 2014-07-03 23:20 - Gerrit Code Review
Patch set 2 for branch master of project TYPO3CMS/Extensions/igLdapSsoAuth has been pushed to the review server.
It is available at https://review.typo3.org/31266

#3 - 2014-07-04 10:32 - Armin Ruediger Vieweg
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:c52d63b97c7ea5ed251f938792113df963254530.

#4 - 2014-07-05 16:20 - Xavier Perseguers
- Assigned To set to Armin Ruediger Vieweg
- Target version set to 1.3.0

#5 - 2014-08-26 00:12 - Xavier Perseguers
- Status changed from Resolved to Closed
